net.sourceforge.pmd.lang.java.symboltable

## Class TypeSet

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.TypeSet

-     public class TypeSet
      extends Object

  Keeps track of the types encountered in a ASTCompilationUnit

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypeSet.CurrentPackageResolver`
    `static class` | `TypeSet.ExplicitImportResolver`
    `static class` | `TypeSet.FullyQualifiedNameResolver`
    `static class` | `TypeSet.ImplicitImportResolver`
    `static class` | `TypeSet.ImportOnDemandResolver`
    `static class` | `TypeSet.PrimitiveTypeResolver`
    `static interface` | `TypeSet.Resolver` TODO should Resolver provide a canResolve() and a resolve()?
    `static class` | `TypeSet.VoidResolver`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addImport(String importString)`
    `Class<?>` | `findClass(String name)`
    `String` | `getASTCompilationUnitPackage()`
    `int` | `getImportsCount()`
    `void` | `setASTCompilationUnitPackage(String pkg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeSet

          public TypeSet()

  - ### Method Detail

    - #### setASTCompilationUnitPackage

          public void setASTCompilationUnitPackage(String pkg)

    - #### getASTCompilationUnitPackage

          public String getASTCompilationUnitPackage()

    - #### addImport

          public void addImport(String importString)

    - #### getImportsCount

          public int getImportsCount()

    - #### findClass

          public Class<?> findClass(String name)
                             throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.